
Redmine - Patch #30115

Move Version#fixed_issues extension to a module

2018-12-06 12:37 - Jérôme BATAILLE

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 4.0.1   

Description

Hi,

The Version fixed_issues extension can't be overridden, there is no way to override it properly in rails.

Can you apply this patch to move the extension to a module, the patch is really straightforward.

This will give the possibility to override it cleanly.

The patch has been tested with success on the last Redmine V4.0.0.

Associated revisions

Revision 17754 - 2018-12-16 17:01 - Jean-Philippe Lang

Moved Version#fixed_issues extension to a module (#30115).

Patch by Jérôme BATAILLE.

Revision 17819 - 2019-01-19 12:04 - Jean-Philippe Lang

Merged r17754 to 4.0-stable (#30115).

History

#1 - 2018-12-06 17:21 - Jérôme BATAILLE

Could this simple patch be integrated in the next Redmine Version ?

#2 - 2018-12-16 17:02 - Jean-Philippe Lang

- Subject changed from Version fixed_issues extension : use a module to be able to override to Move Version#fixed_issues extension to a module

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 4.0.1

Committed, thanks.

#3 - 2019-01-03 12:09 - Jérôme BATAILLE

Thank you very much to have reviewed and integrated this patch !

#4 - 2019-01-19 12:04 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Files

redmine_version_relation_extension_in_module_git.patch 5.68 KB 2018-12-06 Jérôme BATAILLE

redmine_version_relation_extension_in_module_svn.patch 5.83 KB 2018-12-06 Jérôme BATAILLE
